package errno
import (
	πg "grumpy"
)
func initModule(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
	ßEINVAL := πg.InternStr("EINVAL")
	var πE *πg.BaseException; _ = πE
	for ; πF.State() >= 0; πF.PopCheckpoint() {
		switch πF.State() {
		case 0:
		default: panic("unexpected function state")
		}
		// line 1: EINVAL = 22
		πF.SetLineno(1)
		if πE = πF.Globals().SetItem(πF, ßEINVAL.ToObject(), πg.NewInt(22).ToObject()); πE != nil {
			continue
		}
		return nil, nil
	}
	return nil, πE
}
var Code *πg.Code
func init() {
	Code = πg.NewCode("<module>", "lib/errno.py", nil, 0, initModule)
}
